Package org.apache.aries.jax.rs.rest.management.internal

## Class FrameworkBundlesRepresentationsResource

- java.lang.Object
- - org.apache.aries.jax.rs.rest.management.internal.BaseResource
  - - org.apache.aries.jax.rs.rest.management.internal.FrameworkBundlesRepresentationsResource

    public class FrameworkBundlesRepresentationsResource
    extends BaseResource

### Constructor Summary

Constructors
`FrameworkBundlesRepresentationsResource​(org.osgi.framework.BundleContext bundleContext)`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.ws.rs.core.Response` `bundlesRepresentations​(String ext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FrameworkBundlesRepresentationsResource

    public FrameworkBundlesRepresentationsResource​(org.osgi.framework.BundleContext bundleContext)

### Method Detail

#### bundlesRepresentations

    @GET
    @Produces({"application/org.osgi.bundles.representations+json","application/org.osgi.bundles.representations+xml"})
    @Path("framework/bundles/representations{ext:(\\.json|\\.xml)*}")
    public javax.ws.rs.core.Response bundlesRepresentations​(@PathParam("ext")
                                                            String ext)